float start_theta = 0;
float theta_coef = random(1);

void setup() {
  size(1200, 1200);
  background(42);
  colorMode(HSB, 360, 100, 100);
}

void draw() {
  
  background(42);
  
  float radius = 300;
  float period = TWO_PI * 10;
  
  for (float theta = 0; theta < period; theta += 0.05) {
    fill(lerp(194.0, 360, theta/period), 70, 100);
    
    float x = cos(start_theta + theta) * radius + width/2;
    float y = sin(start_theta + theta * theta_coef) * radius + height/2;
    
    ellipse(x, y, 20, 20);
  }
  
  start_theta += 0.01;
}

void mouseClicked() {
  theta_coef = random(1);
}
